/* Night
 * Version 1.2
 * 9/25/2020
 *
 * Constants for color codes
 *
 * Prototype definitions:
 *
 * char * substr(char string[], char find[], char replace[])
 *	-- replaces all instances of 'find' with 'replace' in 'string'
 * 	   Note: 'find' and 'replace' must be the same length.
 * 
 * char * night(char string[])
 *	-- processes Night codes and returns a line of output
 *
 * int nightfile(char file[])
 *	-- processes Night codes from a file and displays it on the screen
 *
 * night.h
 */

#ifndef _NIGHT_H
#define _NIGHT_H

#define Code_Black    "~BLAK"
#define Code_Red      "~REDX"
#define Code_Green    "~GREE"
#define Code_Yellow   "~YELL"
#define Code_Blue     "~BLUE"
#define Code_Purple   "~PURP"
#define Code_Cyan     "~CYAN"
#define Code_White    "~WHIT"
#define Code_Bold     "~BLD"
#define Code_Line     "~LIN"
#define Code_Clear    "~CLR"
#define Code_Cursor   "~CUR"
#define Code_Reverse  "~REV"
#define Code_Reset    "~RES"

#define BLACK   "[30m"
#define RED     "[31m"
#define GREEN   "[32m"
#define YELLOW  "[33m"
#define BLUE    "[34m"
#define PURPLE  "[35m"
#define CYAN    "[36m"
#define WHITE   "[37m"
#define BOLD    "[1m"
#define LINE    "[4m"
#define CLEAR   "[2J"
#define CURSOR  "[;H"
#define REVERSE "[7m"
#define RESET   "[0m"

#define CODE_TABLE " Color/Effect | Code\n\n _____________|_____\n        black | ~BLAK\n          red | ~REDX\n        green | ~GREE\n       yellow | ~YELL\n         blue | ~BLUE\n       purple | ~PURP\n         cyan | ~CYAN\n        white | ~WHIT\n         bold | ~BLD\n    underline | ~LIN\n        clear | ~CLR\n       cursor | ~CUR\n      reverse | ~REV\n        reset | ~RES\n"

char b[512];

char n[512];

char string[512];

char * substr(char string[], char find[], char replace[]);

char * night(char string[]);

int nightfile(char file[]);

#endif /* _NIGHT_H */
